# Brewing recipes

{% hint style="warning" %}
These are vanilla recipes, so you have to follow vanilla rules. However, you can still use custom items in these recipes. Because they use PredicateChoice, they are more flexible than cooking/stonecutter recipes.
{% endhint %}

You can write these recipes inside the `blueprints/vanilla/brewing_stand`folder.

Format of the recipe yml files:

```yaml
recipes:
    # ID of the recipe. Must be unique across every type of vanilla recipe. Required.
  - id: brewing_test
    # The top (single) slot
    ingredient: "minecraft:emerald"
    # The bottom 3 slots before the brewing starts
    input: "minecraft:diamond"
    # Result after the input is brewed into the ingredient
    result: "minecraft:golden_apple"
```

{% hint style="info" %}
TIP: You can use `/aurora registeritem <id>` while holding an item and then using it like `aurora:id` in your recipe config. This way, you can operate with vanilla potions as well.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.auroramc.gg/auroracrafting/configuration/brewing-recipes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
